[platform]
enabled = false
identifier = "defender_for_endpoint"
name = "Microsoft Defender for Endpoint"
subschema = "Defender for Endpoint"
description = """Defender for Endpoint is a comprehensive, cloud-native endpoint
security solution that delivers visibility and AI-powered cyberthreat protection
to help stop cyberattacks across Windows, macOS, Linux, Android, iOS, and IoT devices.
"""
flags = [""]
device_groups = [""]

#[[modifiers]]
#name = "Modifier Demo"
#description = "Example of using modifiers as a development lifecycle automation"
#[modifiers.conditions]
#status = ["STAGING"]
#[modifiers.modifications]
#alert.severity = "Informational"
#alert.title = "prefix::Staging "

#[[tenants]]
#name = "Name"
#description = "Tenant Description"
#deployment = "ALWAYS" #STAGING, PRODUCTION, MANUAL (only when defined in MDR) or ALWAYS
#[tenants.setup]
#proxy = false
#ssl = true
#tenant_id = "$MDE_TENANT_ID"
#client_id = "$MDE_CLIENT_ID"
#client_secret = "$MDE_CLIENT_SECRET"

#[defaults]
#any_parameter.even_nested = "Default Value"